""" 
   This script plots the generated measurement set (with and without RFI signal)
   Used to test the RCAL-RFI simulations

"""

import matplotlib.pyplot as plt
from ska_sdp_datamodels.visibility import create_visibility_from_ms
from rascil.processing_components import plot_visibility

source = "point"  # "double" or "s3sky"

if __name__ == "__main__":
    # Plot visibility generated by mid_simulation.py without RFI signal
    bvis = create_visibility_from_ms("rcal_" + source + ".ms")

    plt.clf()
    plot_visibility(bvis, x="time", y="phase", markersize=0.5)
    plt.savefig("rcal_visibility.png")
    plt.show(block=False)

    # Plot visibility after applying RFI signal
    bvis_rfi = create_visibility_from_ms(
        "aa05_mid_rfi_84chans_" + source + ".ms"
    )

    plt.clf()
    # xarray.ufuncs.real(bvis_rfi[0]["vis"][:,1,:,0]).plot()
    bvis_rfi[0]["vis"][:, 1, :, 0].real.plot()
    plt.savefig("rcal_rfi_freq_time.png")
    plt.show(block=False)

    plt.clf()
    bvis_rfi[0]["vis"][0, 1, :, 0].real.plot()
    plt.savefig("rcal_rfi_freq_vis.png")
    plt.show(block=False)

    exit(0)
